"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StickerUpdateService_1 = require("./StickerUpdateService");
const config_1 = require("./config");
exports.constructCSS = (dokiTheme, sticker, config) => {
    var _a, _b, _c, _d, _e, _f, _g;
    const background = dokiTheme.colors.baseBackground;
    const foreground = dokiTheme.colors.foregroundColor;
    const header = dokiTheme.colors.headerColor;
    const activeTab = dokiTheme.colors.highlightColor;
    const accentColor = dokiTheme.colors.accentColor;
    const savedConfig = config_1.extractConfig();
    const backgroundOpacity = dokiTheme.information.dark ?
        ((_c = (_b = (_a = config === null || config === void 0 ? void 0 : config.dokiSettings) === null || _a === void 0 ? void 0 : _a.backgrounds) === null || _b === void 0 ? void 0 : _b.dark) === null || _c === void 0 ? void 0 : _c.opacity) || sticker.sticker.background.opacity || 0.10 :
        ((_f = (_e = (_d = config === null || config === void 0 ? void 0 : config.dokiSettings) === null || _d === void 0 ? void 0 : _d.backgrounds) === null || _e === void 0 ? void 0 : _e.light) === null || _f === void 0 ? void 0 : _f.opacity) || sticker.sticker.background.opacity || 0.15;
    const backgroundCSS = savedConfig.showWallpaper || savedConfig.showWallpaper === undefined ?
        `.terms_terms::after {
      content: "";
      background: url('file://${StickerUpdateService_1.resolveLocalWallpaperPath(sticker.sticker)
            .replace(/\\/g, "/")}?cache=${new Date().valueOf().toString(32)}') ${((_g = sticker.sticker.background) === null || _g === void 0 ? void 0 : _g.anchor) || 'center'};
      background-size: cover;
      opacity: ${backgroundOpacity};
      top: 0;
      left: 0;
      bottom: 0;
      right: 0;
      position: absolute;
      z-index: -1;
  }` : '';
    return `
  #hyper {
    color: ${foreground} !important;
  }

  ${backgroundCSS}

  #hyper .header_header, #hyper .header_windowHeader {
    background: ${header} !important;
  }
  
  .header_header, .header_shape {
    color: ${foreground}
  }

  .header_shape, .header_appTitle {
    color: ${foreground};
  }
  .header_header, .header_windowHeader {
    background-color: ${background} !important;
    color: ${foreground}
  }
  .hyper_main {
    background-color: ${background};
  }
  .tabs_nav .tabs_list {
    border-bottom: 0;
  }
  .tabs_nav .tabs_title,
  .tabs_nav .tabs_list .tab_tab {
    background: ${background}
    border: 0;
  }
  .tabs_title { 
    color: ${foreground} 
  }
  .tab_icon {
    color: ${background};
    width: 15px;
    height: 15px;
  }
  .tab_icon:hover {
    background-color: ${background};
  }
  .tab_shape {
    color: ${foreground};
    width: 7px;
    height: 7px;
  }
  .tab_shape:hover {
    color: ${foreground};
  }
  .tab_active {
    background-color: ${activeTab} !important;
    color: ${foreground} !important;
  }
  .tab_tab {
    color: ${foreground}
  }
  .tabs_nav .tabs_list {
    color: ${background};
  }
  .tab_tab::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 3px;
    background-color: ${accentColor};
    transform: scaleY(0);
    transition: none;
  }
  .tab_tab.tab_active::before {
    transform: scaleX(1);
    transition: all 400ms cubic-bezier(0.0, 0.0, 0.2, 1)
  }
  .terms_terms .terms_termGroup .splitpane_panes .splitpane_divider {
    background-color: ${foreground} !important;
  }
  .xterm-viewport::-webkit-scrollbar-button {
      width: 0;
      height: 0;
      display: none;
  }
  .xterm-viewport::-webkit-scrollbar-corner {
      background-color: transparent;
  }
  .xterm-viewport::-webkit-scrollbar-track,
  .xterm-viewport::-webkit-scrollbar-thumb {
      -webkit-border-radius: 8px;
  }
  .xterm-viewport::-webkit-scrollbar-thumb {
      background-color: ${accentColor}9a;
      -webkit-box-shadow: none;
  }
  .xterm-viewport::-webkit-scrollbar-thumb:hover {
      background-color: ${accentColor};
      -webkit-box-shadow: none;
  }
  .xterm .xterm-viewport {
      overflow-y: auto;
  }
  `;
};
//# sourceMappingURL=css.js.map